#### D.4.27.8 minAssGTZE

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  minAssGTZE(I[, l]); I ideal, l list (optional)
  Optional parameters in list l (can be entered in any order):
  0, "facstd" -> uses facstd to first decompose the ideal (default)
  1, "noFacstd" -> does not use facstd
  "GTZ" -> the original algorithm by Gianni, Trager and Zacharias is used (default)
  "SL" -> GTZ algorithm with modificiations by Laplagne is used

Return:
  a list, the minimal associated prime ideals of I.

Note:
  - Designed for characteristic 0, works also in char k > 0 based on an algorithm of Yokoyama
  - For local orderings, the result is considered in the localization of the polynomial ring, not in the power series ring
  - For local and mixed orderings, the decomposition in the corresponding global ring is returned if the string 'global' is specified as second argument

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),dp;
    poly  p = z2+1;
    poly  q = z3+2;
    ideal I = p*q^2,y-z2;
    list pr = minAssGTZE(I);
    pr;
    ==> [1]:
    ==>    _[1]=z3+2
    ==>    _[2]=-z2+y
    ==> [2]:
    ==>    _[1]=z2+1
    ==>    _[2]=-z2+y
    ideal J = 1;
    list prempty = minAssGTZE(J);
    prempty;
    ==> empty list

User manual for Singular version 4.4.1, 2025, generated by texi2html.